summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authordanieltetraquark2021-01-29 09:57:50 +0100
committerdanieltetraquark2021-01-29 09:57:50 +0100
commitb74bb11b281f911fd7b82c0ff08be11161793b6c (patch)
treeca6a0ca6a132ec60a7f3c62273a3e2c94d936eb6
parent47326a3d36bc566518abf20f14231c5f2fe07f6a (diff)
downloadaur-b74bb11b281f911fd7b82c0ff08be11161793b6c.tar.gz
also use php7 for composer, otherwise build fails
-rw-r--r--.SRCINFO2
-rw-r--r--PKGBUILD6
2 files changed, 4 insertions, 4 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 5f24392edb6..2aee675f6dc 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = grocy
pkgdesc = web-based self-hosted groceries & household management solution for your home
pkgver = 3.0.1
- pkgrel = 3
+ pkgrel = 4
url = https://grocy.info/
arch = any
license = MIT
diff --git a/PKGBUILD b/PKGBUILD
index df86d035082..03444933f59 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@
pkgname=grocy
pkgver=3.0.1
-pkgrel=3
+pkgrel=4
pkgdesc="web-based self-hosted groceries & household management solution for your home"
depends=('php7' 'php7-sqlite' 'php7-gd')
makedepends=('composer' 'yarn')
@@ -21,8 +21,8 @@ build() {
# composer need to have php-gd extension enabled, otherwise it will fail for a dependency of grocy.
# note: you may need to adjust your php open_basedir setting, so that php can run!
- php -n -dextension=gd.so /usr/bin/composer install --no-interaction --no-dev --optimize-autoloader
- composer clear-cache
+ php7 -n -dextension=gd.so /usr/bin/composer install --no-interaction --no-dev --optimize-autoloader
+ php7 /usr/bin/composer clear-cache
yarn install --modules-folder public/node_modules --production
yarn cache clean